actions: []
api_documentation: http://docs.ros.org/en/noetic/api/test_rospy/html
authors: Ken Conley, Dirk Thomas <dthomas@osrfoundation.org>, Jacob Perron <jacob@openrobotics.org>
brief: ''
bugtracker: https://github.com/ros/ros_comm/issues
depends:
- catkin
- genmsg
- rostest
- std_msgs
- test_rosmaster
depends_on: []
description: rospy unit and integration test framework.
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__ros_comm__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__ros_comm__ubuntu_focal_amd64
license: BSD
maintainer_status: maintained
maintainers: Michael Carroll <michael@openrobotics.org>, Shane Loretz <sloretz@openrobotics.org>
msgs:
- TransitiveImport
- TransitiveMsg2
- HeaderHeaderVal
- ArrayVal
- TransitiveMsg1
- TestFixedArray
- PythonKeyword
- TestConstants
- Val
- Floats
- Empty
- HeaderVal
- EmbedTest
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__test_rospy__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__test_rospy__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__test_rospy__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__test_rospy__ubuntu_focal_arm64__binary
repo_name: ros_comm
repo_url: https://github.com/ros/ros_comm
srvs:
- EmptyReqSrv
- StringString
- EmptyRespSrv
- EmptySrv
- TransitiveSrv
- ConstantsMultiplex
- MultipleAddTwoInts
- ListReturn
timestamp: 1700740498.44775
url: http://wiki.ros.org/rospy
vcs: git
vcs_uri: https://github.com/ros/ros_comm.git
vcs_version: noetic-devel
